Repo conflict please help resolve

Hi all,

I’ve been out of town for 3 weeks and when I returned there were a bunch of updates waiting. When I try to install them, I get this error message. I’m not 100% sure which option to choose.

Can anyone help?

Problem: 1: the to be installed openSUSE-repos-Tumbleweed-NVIDIA-20240516.5431918-1.1.x86_64 conflicts with ‘namespace:otherproviders(openSUSE-repos-NVIDIA)’ provided by the to be installed openSUSE-repos-MicroOS-NVIDIA-20240516.5431918-1.1.x86_64
Solution 1: Following actions will be done:
keep obsolete openSUSE-repos-MicroOS-NVIDIA-20240412.89bd714-1.1.x86_64
keep obsolete openSUSE-repos-Tumbleweed-NVIDIA-20240412.89bd714-1.1.x86_64
Solution 2: deinstallation of openSUSE-repos-MicroOS-NVIDIA-20240412.89bd714-1.1.x86_64
Solution 3: deinstallation of openSUSE-repos-Tumbleweed-NVIDIA-20240412.89bd714-1.1.x86_64

If you are actually on Tumbleweed, Solution 2 above is the way to go (and the other way around if you are using MicroOS).
That was due to a bug, the conflict you see now is the “solution”, forcing users to use one or the other.

3 Likes

Thanks, solution 2 was indeed the correct choice. The computer is updated.

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.